<template>
    <div id="Navegation">
        <section id="container-logo">
            <h1 class="callToAction">
                Mira el estado
                <br />de tus cuentas
            </h1>
        </section>
        <section class="nav-buttons">
            <router-link to="/Home">
                <button class="navButtonsHome">Home</button>
            </router-link>

            <router-link to="/Expenses">
                <button class="navButtonsGastos">Gastos</button>
            </router-link>

            <router-link to="/Income">
                <button class="navButtonsIngresos">Ingresos</button>
            </router-link>

            <router-link to="/">
                <button class="navButtonsSalir">Salir</button>
            </router-link>
        </section>
    </div>
</template>

<script>
export default {
    name: 'Navegation',
}
</script>

<style scope>
#contenedor-logo {
    display: flex;
    flex-direction: row;

    height: 900px;
    width: 130px;
    padding: 50px;
    margin-top: 6px;
    border-radius: 10px;
    box-shadow: 2px 2px 10px rgb(237, 237, 237);
    background: rgb(255, 255, 255);
}
.callToAction {
    font-family: 'Archivo Black', sans-serif;
    font-weight: 300;
    height: 80px;
    width: 80px;
    margin-left: 19px;
    padding: 46px;
    font-size: 20px;
    line-height: 18px;
    color: #56f5ba;
    background: black;
}
.NavegationAllApp {
    font-family: 'Open Sans', sans-serif;
    font-weight: 300;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background: transparent;
    border: 0;
}
.nav-buttons {
    overflow: visible;
    font-weight: bold;
    font-size: 15px;
    font-family: 'Open Sans', sans-serif;
    font-weight: 300;
    border: 0px;
    margin: -149px;
    margin-right: -1500px;
    top: 10px;
}
.navButtonsHome {
    height: 20px;
    width: 100px;
    overflow: visible;
    font-weight: bold;
    font-size: 13px;
    font-family: 'Open Sans', sans-serif;
    font-weight: 300;
    border: 0px;
    margin-right: 70px;
}
.navButtonsHome:hover {
    background-color: #56f5ba;
    color: rgb(0, 0, 0);
}
.navButtonsGastos {
    height: 20px;
    width: 100px;
    overflow: visible;
    font-weight: bold;
    font-size: 13px;
    font-family: 'Open Sans', sans-serif;
    font-weight: 300;
    border: 0px;
    margin-right: 70px;
}
.navButtonsGastos:hover {
    background-color: #56f5ba;
    color: rgb(0, 0, 0);
}
.navButtonsIngresos {
    height: 20px;
    width: 100px;
    overflow: visible;
    font-weight: bold;
    font-size: 13px;
    font-family: 'Open Sans', sans-serif;
    font-weight: 300;
    border: 0px;
    margin-right: 70px;
}
.navButtonsIngresos:hover {
    background-color: #56f5ba;
    color: rgb(0, 0, 0);
}
.navButtonsSalir {
    height: 20px;
    width: 100px;
    overflow: visible;
    font-weight: bold;
    font-size: 13px;
    font-family: 'Open Sans', sans-serif;
    font-weight: 300;
    border: 0px;
    margin-right: 70px;
}
.navButtonsSalir:hover {
    background-color: #56f5ba;
    color: rgb(0, 0, 0);
}
</style>
